{extend name="public/container"}
{block name="head_top"}

{/block}
{block name="content"}
<style>
    .btn-outline{
        border:none;
    }
    .btn-outline:hover{
        background-color: #0e9aef;
        color: #fff;
    }
    .layui-form-item .layui-btn {
        margin-top: 5px;
        margin-right: 10px;
    }
    .layui-btn-primary{
        margin-right: 10px;
        margin-left: 0!important;
    }
    label{
        margin-bottom: 0!important;
        margin-top: 4px;
    }
</style>
<div class="layui-fluid">
    <div class="layui-row layui-col-space15" id="app">
        <!--搜索条件-->
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">搜索条件</div>
                <div class="layui-card-body">
                    <div class="layui-carousel layadmin-carousel layadmin-shortcut" lay-anim="" lay-indicator="inside" lay-arrow="none" style="background:none">
                        <form class="layui-form layui-form-pane" action="">
                            <div class="layui-form-item">

                                <div class="layui-col-lg12">
                                    <label class="layui-form-label" style="top: -5.5px;">搜索条件</label>
                                    <div class="layui-input-inline">
                                        <input type="text" id="auction" name="auction" class="layui-input" placeholder="请输入名称,编号">
                                    </div>
                                </div>
                                <div class="layui-inline">
                                    <div class="layui-input-inline">
                                        <button class="layui-btn layui-btn-sm layui-btn-normal" lay-submit="search" lay-filter="search">
                                            <i class="layui-icon layui-icon-search"></i>搜索</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <!-- 中间详细信息-->
        <div :class="item.col!=undefined ? 'layui-col-sm'+item.col+' '+'layui-col-md'+item.col:'layui-col-sm6 layui-col-md3'"
             v-for="item in badge" v-cloak="" v-if="item.count > 0">
        </div>
        <!--enb-->
    </div>
    <!--列表-->
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">场馆列表</div>
                <div class="layui-card-body">

                    <div class="layui-btn-container" id="container-action">
<!--                        <a class="layui-btn layui-btn-sm" onclick="$eb.createModalFrame(this.innerText,'{:Url('create')}',{h:700,w:1100})">添加场次</a>-->
<!--                        <button class="layui-btn layui-btn-sm" data-type="del_auction">批量删除</button>-->
                    </div>
                    <table class="layui-hide" id="List" lay-filter="List"></table>


                    <script type="text/html" id="image">
                        <img style="cursor: pointer" lay-event="open_image" src="{{d.image}}">
                    </script>
                    <script type="text/html" id="status">
                        {{#  if(d.status < 1){ }}
                        <button type="button" name="status" class="layui-btn-disabled layui-btn-xs" id="">
                            不通过
                        </button>
                        {{#  } else if(d.status == 1) { }}
                        <button type="button" name="status" class="layui-btn-xs layui-btn-disabled" id="">
                            待审核
                        </button>
                        {{#  } else if(d.status == 2) { }}
                        <button type="button" name="status" class="layui-btn layui-btn-xs layui-btn-danger" id="">
                            已完成
                        </button>
                        {{#  } }}
                    </script>
                    <script type="text/html" id="act">
                        <button type="button" class="layui-btn layui-btn-xs layui-btn-normal" lay-event="tg">
                            通过
                        </button>
                        <button type="button" class="layui-btn layui-btn-xs layui-btn-normal" lay-event="jj">
                            拒绝
                        </button>
                        <button type="button" class="layui-btn layui-btn-xs layui-btn-danger" lay-event='delete' id="">
                            删除
                        </button>

                    </script>
                </div>
            </div>
        </div>
    </div>
    <!--end-->
</div>
<script src="{__ADMIN_PATH}js/layuiList.js"></script>
{/block}
{block name="script"}
<script>
    layui.use('form', function(){
        var form = layui.form;

        //监听提交
        form.on('submit(formDemo)', function(data){
            layer.msg(JSON.stringify(data.field));
            return false;
        });
    });


    layList.tableList('List', "{:Url('list')}", function () {
        return [
            {type: 'checkbox'},
            {field: 'id', title: 'ID', sort: true, event: 'id', width: '5%', templet: '#id'},
            {field: 'nickname', title: '申请人', templet: '#nickname', align: 'center'},
            {field: 'image', title: '申请人', templet: '#image', align: 'center',width: '5%'},
            {field: 'status', title: '状态', templet: '#status', align: 'center'},
            {field: 'create_time', title: '申请时间', templet: '#create_time', align: 'center'},
            {field: 'right', title: '操作', align: 'center', toolbar: '#act'},
        ];
    });

    //查询
    layList.search('search',function(where){
        layList.reload(where,true);
    });

    //点击事件绑定
    layList.tool(function (event,data,obj) {
        switch (event) {
            case 'delete':
                var url=layList.U({c:'auction.auctionApply',a:'delete',q:{id:data.id}});
                var code = {title:"操作提示",text:"确定将该商品移入回收站吗？",type:'info',confirm:'是的，移入回收站'};
                $eb.$swal('delete',function(){
                    $eb.axios.get(url).then(function(res){
                        if(res.status == 200 && res.data.code == 200) {
                            $eb.$swal('success',res.data.msg);
                            obj.del();
                            location.reload();
                        }else
                            return Promise.reject(res.data.msg || '删除失败')
                    }).catch(function(err){
                        $eb.$swal('error',err);
                    });
                },code)
                break;
            case 'tg':
                var url=layList.U({c:'auction.auctionApply',a:'tg',q:{id:data.id}});
                var code = {title:"操作提示",text:"确定通过吗？",type:'info',confirm:'是的'};
                $eb.$swal('delete',function(){
                    $eb.axios.get(url).then(function(res){
                        if(res.status == 200 && res.data.code == 200) {
                            $eb.$swal('success',res.data.msg);
                            obj.del();
                            location.reload();
                        }else
                            return Promise.reject(res.data.msg || '失败')
                    }).catch(function(err){
                        $eb.$swal('error',err);
                    });
                },code)
                break;
            case 'jj':
                var url=layList.U({c:'auction.auctionApply',a:'jj',q:{id:data.id}});
                var code = {title:"操作提示",text:"确定拒绝吗？",type:'info',confirm:'是的'};
                $eb.$swal('delete',function(){
                    $eb.axios.get(url).then(function(res){
                        if(res.status == 200 && res.data.code == 200) {
                            $eb.$swal('success',res.data.msg);
                            obj.del();
                            location.reload();
                        }else
                            return Promise.reject(res.data.msg || '失败')
                    }).catch(function(err){
                        $eb.$swal('error',err);
                    });
                },code)
                break;
            case 'open_image':
                $eb.openImage(data.image);
                break;
        }
    })


    //改状态
    layList.switch('status',function (odj,value) {
        if(odj.elem.checked==true){
            layList.baseGet(layList.Url({c:'auction.auction',a:'set_status',p:{status:1,id:value}}),function (res) {
                layList.msg(res.msg, function () {
                    layList.reload();
                });
            });
        }else{
            layList.baseGet(layList.Url({c:'auction.auction',a:'set_status',p:{status:0,id:value}}),function (res) {
                layList.msg(res.msg, function () {
                    layList.reload();
                });
            });
        }
    });
</script>
{/block}